SCHEMA-SALAD-TOOL(1)

NAME
schema-salad-tool - Schema Annotations for Linked Avro Data (SALAD)

DESCRIPTION
usage: schema-salad-tool [-h] [--rdf-serializer RDF_SERIALIZER]

    [--print-jsonld-context | --print-doc | --print-rdfs | --print-avro | --print-rdf | --print-pre | --print-index | --print-metadata | --version] [--strict | --non-strict] [--verbose | --quiet | --debug] schema [document]

  positional arguments:

    schema document

  optional arguments:

-h, --help
    show this help message and exit

--rdf-serializer RDF_SERIALIZER
    Output RDF serialization format used by --print-rdf (one of turtle (default), n3, nt, xml)

--print-jsonld-context
    Print JSON-LD context for schema

--print-doc
    Print HTML documentation from schema

--print-rdfs
    Print RDF schema

--print-avro
    Print Avro schema

--print-rdf
    Print corresponding RDF graph for document

--print-pre
    Print document after preprocessing

--print-index
    Print node index

--print-metadata
    Print document metadata

--version
    Print version

--strict
    Strict validation (unrecognized or out of place fields are error)

--non-strict
    Lenient validation (ignore unrecognized fields)

--verbose
    Default logging

--quiet
    Only print warnings and errors.

--debug
    Print even more logging